Skip to main content
Files

File の一覧取得

Forward API リファレンス。

Description

Lists Files visible to the current account, with pagination and filtering.

パス

GET /api/v1/forward/files

リクエストヘッダー

ヘッダー必須説明
AuthorizationはいBearer <PAT または SAT>

クエリパラメーター

パラメーター必須説明
limitintegerいいえページサイズです。最大 100。
pagestringNoPagination cursor (recommended), taken from next_page in the previous response. Mutually exclusive with after_id and before_id.
after_idstringNoForward pagination cursor. Mutually exclusive with page and before_id.
before_idstringNoBackward pagination cursor. Mutually exclusive with page and after_id.
namestringいいえファイル名で検索します。
scope_idstringいいえリソーススコープ ID で絞り込みます。主に Session のリソースファイルで使用します。before_id または after_id と併用しないでください。このフィルターモードではカーソルは無視されます。

リクエスト例

curl -X GET "https://api.qoder.com/api/v1/forward/files" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

レスポンス例

{
  "data": [
    {
      "id": "file_xxx",
      "type": "file",
      "filename": "report.pdf",
      "size_bytes": 1024,
      "mime_type": "application/pdf",
      "created_at": "2026-07-23T10:00:00Z",
      "updated_at": "2026-07-23T10:00:00Z",
      "downloadable": true,
      "scope": null,
      "metadata": {
        "source": "console"
      },
      "identity_id": null
    }
  ],
  "first_id": "file_xxx",
  "last_id": "file_xxx",
  "has_more": false,
  "next_page": null
}

空のリストレスポンス

{
  "data": [],
  "first_id": null,
  "last_id": null,
  "has_more": false,
  "next_page": null
}

レスポンスフィールド

Each item in the response data array is a File object. See List pagination fields for pagination fields.

エラー

HTTPType発生条件
400invalid_request_errorリクエストボディ、パスパラメーター、またはクエリパラメーターが不正です。
401authentication_error認証トークンがないか、無効です。
403permission_error呼び出し元にはこのリソースへのアクセス権限がありません。
500/502/503api_errorForward または依存サービスでエラーが発生しました。
File の一覧取得 - Qoder